[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH] use gnulib via a submodule



Jim Meyering wrote:
> Daniel P. Berrange wrote:
> ...
>>> Subject: [PATCH] use automake-1.11's silent-rules option, when possible
>>>
>>> Don't use mylibtool, (subsumed by automake's silent rules)
>>> Its use was causing a non-srcdir build to fail.
>>> * Makefile.am (EXTRA_DIST): Remove mylibtool.
>>> * configure.in: Don't use mylibtool.
>>>
>>> * configure.in: Use AM_SILENT_RULES([yes]),
>>> but only if that m4 macro is defined.
>>> Thus, it works even on systems that lack automake-1.11.
>>> Daniel Berrange suggested adding the conditional, so that
>>> we don't have a hard requirement on 1.11, e.g., for RHEL5.
> ...
>> ACK, I've tested on RHEL-5, the only issue was a minor warning from
>> aclocal, which was evidently harmless.
>>
>> aclocal:configure.in:12: warning: macro `AM_SILENT_RULES' not found in library
>
> Thanks. pushed

Just so it's clear, I've pushed this small change,

    http://libvirt.org/git/?p=libvirt.git;a=commitdiff;h=b731d7830e91

not the big one implied by the first message of this thread:
http://thread.gmane.org/gmane.comp.emulators.libvirt/14610

As for its 7 change-sets, I've removed 1/7, which would
have introduced the hard requirement on automake-1.11.

Any objection to committing the rest, 2/7..7/7 and the already-ACK'd
[generate ChangeLog from git logs into distribution tarball] that
depends on them?

If you still want autogen.sh to invoke ./bootstrap,
I can do that separately.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]